
$('#series_select').select2({
    placeholder: "Seleccione",
    allowClear: false
});

$("#Modal").on("hidden.bs.modal", function () {
    $('button.agregar').prop('disabled', false);
});


if($('#series_select').val() != null){
    var t = (Math.abs($('#series_select').val().split('-')[1])/1000000)+"";
    t = t.split('.')[1];
    $("#ccorrelativo").val(t);
    $("#Pserie").val($('#series_select').val().split('-')[0])
}

$('#series_select').change(function () {
    var t = (Math.abs($(this).val().split('-')[1])/1000000)+"";
    t = t.split('.')[1];
    $("#ccorrelativo").val(t);
    $("#Pserie").val($(this).val().split('-')[0])
});


var d = new Date();
var month = d.getMonth() + 1;
var day = d.getDate();
var output = (('' + day).length < 2 ? '0' : '') + day + '/' + (('' + month).length < 2 ? '0' : '') + month + '/' + d.getFullYear();

function generarcierrecaja() {
    swal({
            title: "Se generará el cierre de caja del día " + output + " ¿Desea continuar?",
            text: "Una vez generado el cierre de caja, no se podra volver a registrar!",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Generar",
            cancelButtonText: "Cancelar",
            closeOnConfirm: false,
            closeOnCancel: false
        },
        function (isConfirm) {
            if (isConfirm) {
                window.location.href = "{{url('tesoreria/cierrecaja')}}";
            }
        });
};

function agregarSerie(){
    $('button.agregar').prop('disabled', true);
    this.blur();
    $.ajax({
        url:  url_serie,
        type: 'POST',
        cache: false,
        success: function (result) {
            $('#Modal').html(result).find('.modal').modal({
                show: true
            });
        },
        complete: function (result) {
            $('button.agregar').prop('disabled', false);
        }
    });
    return false;
};

// function cambiarCorrelativo(){
//     var s = document.getElementById("form_control_1");
//     var selectedvalue = s.options[s.selectedIndex].value;
//     console.log('index:' + selectedvalue);
//     var correlativo = selectedvalue.split('_');
//     if(correlativo.length<=1)
//         document.getElementById("ccorrelativo").value = "0";
//     else
//         document.getElementById("ccorrelativo").value = correlativo[1];
// }

